
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C语言基础教程（四）指针、结构、联合和枚举(18) / iVAN</title>

    <meta name="description" content="C语言基础教程（四）指针、结构、联合和枚举(18) 类型说明类型说明的格式为:typedef 类型 定义名; 类型说明只定义了一个数据类型的新名字而不是定义一种新的数据类型.这里类型是Turbo C许可的任何一种数据类型.定义名表示这个类型的新名字. 例如: 用下面语句定义整型数的新名字: typedef int SIGNED_INT; 使用说明后,SIGNED_INT就成为int的同义词了,此时可以用SIGNED_INT定义整型变量.例如:SIGNED_INT i, j;(与int i, j等效). 但long SIGNED_INT i, j;">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C语言基础教程（四）指针、结构、联合和枚举(18)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>类型说明<br />类型说明的格式为:<br />typedef 类型 定义名; <br />类型说明只定义了一个数据类型的新名字而不是定义一种新的数据类型。这里类型是Turbo C许可的任何一种数据类型。定义名表示这个类型的新名字。 <br />例如: 用下面语句定义整型数的新名字: <br />typedef int SIGNED_INT; <br />使用说明后,SIGNED_INT就成为int的同义词了,此时可以用SIGNED_INT定义整型变量。<br />例如:SIGNED_INT i, j;(与int i, j等效)。 <br />但long SIGNED_INT i, j;是非法的。 <br />typedef同样可用来说明结构、联合以及枚举。 <br />说明一个结构的格式为: <br />typedef struct{ <br />数据类型 成员名; <br />数据类型 成员名; <br />... <br />} 结构名; <br />此时可直接用结构名定义结构变量了。例如: <br />typedef struct{ <br />char name[8]; <br />int class; <br />char subclass[6]; <br />float math, phys, chem, engl, biol; <br />} student; <br />student Liuqi; <br />则Liuqi被定义为结构数组和结构指针。 <br />在第二节讲过的文件操作中,用到的FILE就是一个已被说明的结构,其说明如下:<br />typedef struct <br />{ <br />short level; <br />unsigned flags; <br />char fd; <br />unsigned char hold; <br />short bsize; <br />unsigned char *buffer; <br />unsigned char *curp; <br />unsigned istemp; <br />short token; <br />} FILE <br />这个结构说明已包含在stdio.h中,用户只要直接用FILE定义文件指针变量就可以。事实上,引入类型说明的目的并非为了方便, 而是为了便于程序的移植。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:08:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/unsigned/" title="unsigned">unsigned</a>, <a href="https://www.iamivan.net/tag/char/" title="char">char</a>, <a href="https://www.iamivan.net/tag/typedef/" title="typedef">typedef</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80typedef%e6%95%b0%e7%bb%84/" title="c语言typedef数组">c语言typedef数组</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88typedef%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="指针typedef数据结构">指针typedef数据结构</a>, <a href="https://www.iamivan.net/tag/%e8%81%94%e5%90%88%e4%bd%93%e5%8f%8a%e6%9e%9a%e4%b8%be/" title="联合体及枚举">联合体及枚举</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C语言基础教程（四）指针、结构、联合和枚举(18)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPO75p.html" rel="bookmark">C&plus;&plus;基础教程&lpar;四&rpar;&mdash;&mdash;指针&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//===================================================== // Name : Pointer1.cpp // Author : lf // Version : &lt;C++语言基础教程&gt; 吕凤翥 P41--P45 2.5.2 // Description : 指针数组和指向数组的指针以及字符指针 //===================================================== #include &lt;iostre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgedYz.html" rel="bookmark">C&plus;&plus;基础教程&lpar;六&rpar;&mdash;&mdash;指针&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//===================================================== // Name : Pointer1.cpp // Author : lf // Version : &lt;C++语言基础教程&gt; 吕凤翥 P35--P37 2.5.1 // Description : 指针 // Tips : // int *P ---------&gt; p是一个指向int型变量的指针 // char *c---------&gt; c是一个指向char型变量的指针			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9XRKKb.html" rel="bookmark">C&plus;&plus;基础教程&lpar;五&rpar;&mdash;&mdash;指针&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//===================================================== // Name : Pointer1.cpp // Author : lf // Version : &lt;C++语言基础教程&gt; 吕凤翥 P38--P43 2.5.2 // Description : 指针和数组 // Tips : // 在C++中,数组的元素可以用下标表示,也可以用指针表示. // 但是最好是用指针表示,因为指针表示要比下标表示处理起来要快. // 所以在C++中尽量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQ126z.html" rel="bookmark">C 语言基础教程&lpar;我的C之旅开始了&rpar;&lbrack;八&rsqb;&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				19. 基本数据类型:复数类型和虚数类型 C99 新增了复数类型(_Complex)和虚数类型(_Imaginary).简单来说,C99 提供了三种复数类型:float _Complex,double _Complex,和 long double _Complex.对于 float _Complex 类型的变量来说,它包含两个 float 类型的值,一个用于表示复数的实部(real part),另一个用于表示虚部(imaginary part).类似地,double _Complex 包含两个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7J8XXp.html" rel="bookmark">易语言基础教程之制作简易浏览器&lowbar;易语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法/步骤 首先打开易语言: 点击--工具--支持库配置--全选--确认 之后点击属性--拉宽 之后点击标题输入测试浏览器 拉一个编辑框和按钮最后一个超文本浏览框(自己找) 之后双击按钮输入代码: .版本 2 .支持库 HtmlView .子程序 _按钮1_被单击 超文本浏览框1.地址 ＝ 编辑框1.内容 按F5测试,好的行了 注意事项 编辑框要输入网址,不能输入其他的OK. 以上是小编为您精心准备的的内容,在的博客.问答.公众号.人物.课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZORBab.html" rel="bookmark">C语言基础教程（四）指针、结构、联合和枚举&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节专门对第二节曾讲述过的指针作一详述.并介绍Turbo C新的数据类型:结构.联合和枚举,其中结构和联合是以前讲过的五种基本数据类型(整型.浮点型.字符型.指针型和无值型)的组合.枚举是一个被命名为整型常数的集合.最后对类型说明(typedef)和预处理指令作一阐述. 1. 指针(point) 学习Turbo C语言,如果你不能用指针编写有效.正确和灵活的程序,可以认为你没有学好C语言.指针.地址.数组及其相互关系是C语言中最有特色的部分.规范地使用指针, 可以使程序达到简单明了,因此,我们不			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jgYBb.html" rel="bookmark">C语言基础教程（四）指针、结构、联合和枚举&lpar;12&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二.结构指针结构指针是指向结构的指针.它由一个加在结构变量名前的&quot;*&quot; 操作符来定义,例如用前面已说明的结构定义一个结构指针如下: struct string{ char name[8]; char sex[2]; int age; char addr[40]; }*student; 也可省略结构指针名只作结构说明,然后再用下面的语句定义结构指针. struct string *student; 使用结构指针对结构成员的访问,与结构变量对结构成员的访问在表达方式上有所不同.结构指针对结			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balEBJz.html" rel="bookmark">C语言基础教程（四）指针、结构、联合和枚举&lpar;11&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.结构数组和结构指针结构是一种新的数据类型,同样可以有结构数组和结构指针.一.结构数组结构数组就是具有相同结构类型的变量集合.假如要定义一个班级40个同学的姓名.性别.年龄和住址,可以定义成一个结构数组.如下所示:struct{ char name[8]; char sex[2]; int age; char addr[40]; }student[40]; 也可定义为: struct string{ char name[8]; char sex[2]; int age; char addr[4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqD5VRb.html" rel="bookmark">易语言基础教程之循环程序结构&lowbar;易语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				曾经听说过一句话:&quot;计算机就擅长做的工作就是'循环'!&quot;.的确循环执行在语言中扮演着极为重要的角色,利用循环我们可以实现更复杂.重复性的工作.易语言对于循环程序结构提供四种形式,下面就一起来了解一下易语言中循环结构的具体使用方法. 方法/步骤 在此小编将以实例的方法与大家分享易语言中循环结构的具体使用方法:先创建一个Windows空白窗口,绘制如图所示的人机界面. 接下来为&quot;计算&quot;按钮添加&quot;被单击&quot;事件. 我们先利用&quot;判断循环&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0XKDM.html" rel="bookmark" class="title">学习网页技术CSS实现自动换行功能</a>
					<div>
						css|网页 自动换行问题,正常字符的换行是比较合理的,而连续的数字和英文字符常常将容器撑大,挺让人头疼,下面介绍的是CSS如何实现换行的方法 对于div,p等块级元素 正常文字的换行(亚洲文字和非亚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeWn0M.html" rel="bookmark" class="title">ASP入门教程 1小时ASP入门，非常简单</a>
					<div>
						教程|入门教程|入门教程 &lt;% 语句 -- %&gt;&lt;2&gt;定义变量dim语句&lt;% dim a,b a=10 b=&quot;ok!&quot;%&gt;注意:定义的变量可以是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaYVmb.html" rel="bookmark" class="title">淘宝网拍拍网购物流程体验设计对比</a>
					<div>
						网页制作Webjx文章简介:淘宝与拍拍的购物流程对比 近几年电子商务发展迅猛,而今年各独立网店.购物平台更是雨后春笋般冒出来,并都已站稳脚跟.对于这么多购物网站,我们来筛选一些比较知名的站点进行优劣势 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y2YZz.html" rel="bookmark" class="title">Ubuntu用户即将失去Cinnamon</a>
					<div>
						许多Ubuntu用户过去一直在使用第三方仓库体验Cinnamon而不用安装Linux Mint,然而似乎在不久的将来,不会再有Cinnamon的第三方仓库了.如果你在用Ubuntu系统,当前你能够通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAanWZM.html" rel="bookmark" class="title">CentOS下如何删除或重命名乱码文件&quest;</a>
					<div>
						CentOS下如何删除或重命名乱码文件?   当文件名为乱码的时候,无法通过键盘输入文件名,所以在终端下就不能直接利用rm,mv等命令管理文件了. 当文件名为乱码的时候,无法通过键盘输入文件名,所以在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGJ0rp.html" rel="bookmark" class="title">Word 2013如何插入专业公式</a>
					<div>
						  1.用Word2013打开一篇文档,将光标定位到我们需要插入公式的位置,并切换到&quot;插入&quot;选项卡,我们现在选择&quot;符号&quot;选项组中的&quot;公式&quot;命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB0LNz.html" rel="bookmark" class="title">win7系统电脑安装PP助手提示&OpenCurlyDoubleQuote;无法获取应用包信息&rdquo;错误怎么办</a>
					<div>
						  许多用户都在自己苹果手机中安装PP助手,PP助手是一款苹果手机常用的助手了.一些用户发现在win7系统电脑中安装pp助手时提示&quot;无法获取应用包信息,请 检查包的有效性了&quot;,重新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Dy3b.html" rel="bookmark" class="title">如何卸载windows系统</a>
					<div>
						很多刚刚装完xp.windows 7系统的人,都有可能会问,如果我想换过系统是不是应该先删掉这个系统再重新装一个.或者我的 电脑要重装系统,有没有必要把原来的系统卸载掉呢?这篇文章是帮刚刚使用电脑的人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EJrxM.html" rel="bookmark" class="title">Win7旗舰版宽带连接错误733解决方法</a>
					<div>
						在win7旗舰版上网之前我们需要进行宽带连接,然而拨号错误的情况时有出现,对普通用户来说一些错误代码并不能帮助他们解决问题,所以一般会至电宽带服务商询问,但是多数的用户也没有找到解决方法,如宽带连接时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZDAPb.html" rel="bookmark" class="title">显卡设置（AGP、PCI-E）</a>
					<div>
						  在进入BIOS主界面后,选择Standard CMOS Features项,按[Enter]键进入.在该界面中,选择VIDEO选项,按[Enter]键进入到设置界面中,用方向键来选择要设置的显卡类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrl8M.html" rel="bookmark" class="title">如何在java Graphics2D 画出文字的阴影黑边效果</a>
					<div>
						问题描述 如何在java Graphics2D 画出文字的阴影黑边效果 public static void setFont(String context, BufferedImage ImageNe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwAd5p.html" rel="bookmark" class="title">android下sqlite的blob类型不能存储超过2兆的文件</a>
					<div>
						问题描述 android下sqlite的blob类型不能存储超过2兆的文件 android下sqlite的blob类型不能存储超过2兆的文件,存储1M多的文件都没问题, 超过两兆程序马上就崩溃,大家是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn74GKz.html" rel="bookmark" class="title">明基发布2款24寸广视角LED液晶显示器</a>
					<div>
						之前明基推出了全球首款http://www.aliyun.com/zixun/aggregation/16732.html&quot;&gt;LED背光VA液晶显示器和多款广视角液晶显示器,而近日明基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrWgNM.html" rel="bookmark" class="title">网站设计颜色的使用经验分享</a>
					<div>
						颜色的使用,这似乎是个显而易见的问题,但是由于许多人在设计网站时都忘记了这一点,因此还是要强调一下:当选择网站的颜色时,要时刻牢记&quot;不要过度设计&quot;这条法则.同时,还要时刻考虑品牌和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN9QVz.html" rel="bookmark" class="title">如何排查Java内存泄露&lpar;内附各种排查工具介绍&rpar;</a>
					<div>
						今天刚刚才加一个故障review会议, 故障非常典型, google下也可以找到相似案例介绍. 在排查问题的过程中,使用了大量的工具, 发现有问题的地方还不只一个,总结一下. (本篇文章不会重点描述案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3m0Jz.html" rel="bookmark" class="title">改善C&num;程序的建议2：C&num;中dynamic的正确用法</a>
					<div>
						原文:改善C#程序的建议2:C#中dynamic的正确用法 dynamic是FrameWork4.0的新特性.dynamic的出现让C#具有了弱语言类型的特性.编译器在编译的时候不再对类型进行检查,编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6j1wb.html" rel="bookmark" class="title">java-关于绝对路径和相对路径的问题</a>
					<div>
						问题描述 关于绝对路径和相对路径的问题 我复制了一个java项目,本来项目中用的是相对路径,复制后的项目中总是找不到文件(路径的问题),我试着把相对路径改成了绝对路径,文件找到了,但是项目中关于路径的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7PjZz.html" rel="bookmark" class="title">gps-Android GPS定位，得到径纬度</a>
					<div>
						问题描述 Android GPS定位,得到径纬度 为什么location一直为NULL呢?由与是空 double lat = loc.getLatitude(); //径纬度也就得不到了 double ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My367kz.html" rel="bookmark" class="title">mfc-fatal error LNK1112&colon; 模块计算机类型&OpenCurlyDoubleQuote;X86&rdquo;与目标计算机类型&OpenCurlyDoubleQuote;x64&rdquo;冲突</a>
					<div>
						问题描述 fatal error LNK1112: 模块计算机类型&quot;X86&quot;与目标计算机类型&quot;x64&quot;冲突 环境: WIN7 X64 + VS2005 我只是简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3roKNz.html" rel="bookmark" class="title">spring mvc-SpringMVC 后台怎么获取前台jsp页面中file中的文件。</a>
					<div>
						问题描述 SpringMVC 后台怎么获取前台jsp页面中file中的文件. 把file中的Excel文件提交,后台该如何获取这个Excel文件. 解决方案 SpringMVC默认是关闭fileupl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXayxz.html" rel="bookmark" class="title">在线等大神-poi导出后台提示报错，Minimum column number is 0！</a>
					<div>
						问题描述 poi导出后台提示报错,Minimum column number is 0! 今天在用poi做导出的时候遇到一些问题! java.lang.IllegalArgumentException ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRr39b.html" rel="bookmark" class="title">环球资源&lpar;www&period;globalsources&period;com&rpar;是否可以做得更好&quest;&excl;</a>
					<div>
						环球资源--这个被我喻为中国贵族企业的出口专家已经是步伐缓慢,辉煌的时刻如何可以再度燃起? 1. &amp;http://www.aliyun.com/zixun/aggregation/37954. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7WkRM.html" rel="bookmark" class="title">python VideoCapture使用时，报错</a>
					<div>
						问题描述 python VideoCapture使用时,报错 python 3.4.3 VideoCapture VideoCapture-0.9.5-cp34 Pillow 3.0 代码: impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0REx7z.html" rel="bookmark" class="title">Darwin Streaming Server 核心代码分析</a>
					<div>
						基本概念 首先,我针对的代码是Darwin Streaming Server 6.0.3未经任何改动的版本. Darwin Streaming Server从设计模式上看,采用了Reactor的并发服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Bdoz.html" rel="bookmark" class="title">如何为sql的表增加列，初学者不懂，还请大牛多多关照</a>
					<div>
						问题描述 如何为sql的表增加列,初学者不懂,还请大牛多多关照 如何为sql的表增加列,初学者不懂,还请大牛多多关照,谢啦·································· 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RDKDz.html" rel="bookmark" class="title">一分钟了解负载均衡的一切</a>
					<div>
						什么是负载均衡 负载均衡(Load Balance)是分布式系统架构设计中必须考虑的因素之一,它通常是指,将请求/数据[均匀]分摊到多个操作单元上执行,负载均衡的关键在于[均匀]. 常见的负载均衡方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RKdaz.html" rel="bookmark" class="title">thinkphp学习笔记2&mdash;入口文件</a>
					<div>
						原文:thinkphp学习笔记2-入口文件 在thinkphp中有两个入口文件,一个是项目的入口文件,是index.php在主目录里面,还有一个是thinkphp框架的的入口文件,放在框架目录下面如: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoQ6AM.html" rel="bookmark" class="title">《Node&period;js区块链开发》&mdash;&mdash;2&period;7　参考</a>
					<div>
						2.7 参考 &lt;请尽早把你的信誉区块链化&gt;:http://chainclub.org/topic/5/请尽早把你的誉区块链化 &lt;天使投资人的骗子论&gt;:http://8btc.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NJLxb.html" rel="bookmark" class="title">python实现的登陆Discuz&excl;论坛通用代码分享&lowbar;python</a>
					<div>
						代码如下: #coding:gbk import urllib2,urllib,cookielib,re ''' 通用的登陆DZ论坛 参数说明parms: username:用户名(必填), pass ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Xy9z.html" rel="bookmark" class="title">javascript 动态添加事件代码&lowbar;javascript技巧</a>
					<div>
						方法一.setAttribute var obj = document.getElementById(&quot;obj&quot;); obj.setAttribute(&quot;onclick& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
